Subject: return / replace gift??
From: Wendy Mastronardi <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 14 May 2023 17:42:07 +0000 (UTC)

Hello,
My name is Wendy Mastronardi.
My sister sent me beautiful towels.  I would like to exchange them.
The Purchase Order # is 4UK3E3CDUPC # 086569145208
Serene/Belle/Monroe Towel Set
I would like to get the :Turkish Cotton 6 piece towel set in CharcoalIt appears to be the same price.
Can you tell me how I can exchange this?
I live in a northern suburb of Boston, if there is a store near here with your products.
Many thanks,Wendy Mastronardi49 East Emerson StMelrose, MA 02176cell 781-799-4045